trajectory analysis
Score a complete multi-agent trajectory
Runs the authoritative versioned trajectory scorer. Incomplete or malformed evidence fails closed.
POST
/
api
/
trajectory-analysis
/
{trajectoryId}
/
score
Score a complete multi-agent trajectory
curl --request POST \
--url https://evalgate.com/api/trajectory-analysis/{trajectoryId}/score \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ideal": {
"expectedSteps": 123,
"expectedToolCalls": 123,
"requiredTools": [
"<string>"
],
"forbiddenTools": [
"<string>"
],
"allowParallel": false,
"maxRedundantSteps": 123
},
"scorerKey": "<string>",
"scorerVersion": "<string>"
}
'import requests
url = "https://evalgate.com/api/trajectory-analysis/{trajectoryId}/score"
payload = {
"ideal": {
"expectedSteps": 123,
"expectedToolCalls": 123,
"requiredTools": ["<string>"],
"forbiddenTools": ["<string>"],
"allowParallel": False,
"maxRedundantSteps": 123
},
"scorerKey": "<string>",
"scorerVersion": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ideal: {
expectedSteps: 123,
expectedToolCalls: 123,
requiredTools: ['<string>'],
forbiddenTools: ['<string>'],
allowParallel: false,
maxRedundantSteps: 123
},
scorerKey: '<string>',
scorerVersion: '<string>'
})
};
fetch('https://evalgate.com/api/trajectory-analysis/{trajectoryId}/score', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdBy": "<string>",
"inputHash": "<string>",
"result": {
"schemaVersion": 123,
"valid": true,
"score": 123,
"failureModes": [
"inefficient_path"
],
"metrics": {
"actualSteps": 123,
"actualToolCalls": 123,
"actualDurationMs": 123,
"redundancyRatio": 123,
"redundancySteps": 123,
"sequenceSimilarity": 123,
"efficiency": 123,
"toolUsage": 123,
"redundancy": 123,
"latency": 123,
"parallelizationPenalty": 123,
"parallelizationScore": 123,
"requiredToolsMissing": [
"<string>"
],
"forbiddenToolsUsed": [
"<string>"
],
"extraToolsUsed": [
"<string>"
],
"selectedBaselineVersion": "<string>",
"baselineStepP50": 123,
"baselineStepP75": 123,
"baselineToolCallP50": 123,
"baselineToolCallP75": 123,
"baselineDurationP50": 123,
"baselineDurationP75": 123,
"idealExpectedSteps": 123,
"idealExpectedToolCalls": 123
},
"trajectoryId": "<string>",
"behavior": "tool_use",
"taskType": "<string>",
"baselineVersion": "<string>"
},
"trajectoryId": "<string>",
"scorerKey": "<string>",
"scorerVersion": "<string>"
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
⌘I
Score a complete multi-agent trajectory
